#pragma once

struct ap_object;
struct status;
struct account;

// Database management
struct ap_object* activity_from_local_id( int id );
void activity_save( struct ap_object* o );
void activity_allocate_local_id( struct ap_object* obj );

// creation
struct ap_object* activity_create_Accept( struct ap_object* act );
struct ap_object* activity_create_EmojiReact( struct status* s, const char* react );
struct ap_object* activity_create_Undo( struct ap_object* act );
struct ap_object* activity_create_Like( struct status* s );
struct ap_object* activity_create_Note( struct status* s );
struct ap_object* activity_create_Create( struct ap_object* act );
struct ap_object* activity_create_Accept( struct ap_object* act );

// Actions
void activity_react( struct status* s, const char* react );
int  activity_follow( struct account* follower, struct account* following );
void activity_unfollow( struct account* follower, struct account* to_unfollow );
void activity_undo( struct ap_object* act, int deliver_to_account_id );
int  activity_like( struct status* s );
void activity_accept( struct ap_object* act, int deliver_to_account_id );

void activity_deliver( struct ap_object* obj );

