#pragma once

struct client_app
{
	struct {
		char* name;
		char* id;
		char* secret;
	} client;

	char* redirect_uri;
	char* auth_code;
	char* access_token;
	// auth_expires
};

struct client_app* client_app_from_id( const char* client_id );
struct client_app* client_app_new( const char* client_name );
void client_app_save( struct client_app* app );
void client_app_free( struct client_app* app );
void client_app_gen_auth_code( struct client_app* app );
void client_app_generate_access_token( struct client_app* app );

