#pragma once

#include "activity.h"

#include <stdbool.h>

struct ap_envelope
{
	char* when;

	struct {
		struct http_header* items;
		int count;
	} headers;

	bool validated;

	char* body;
};

struct ap_envelope* ap_envelope_from_id( int id );
void ap_envelope_free( struct ap_envelope* env );

struct http_request;
bool envelope_create_from_request( struct http_request* req );

