#pragma once

#include "json/layout.h"

struct media
{
	int id;
	char* remote_url;
	char* preview_url;
	char* content_type;
};

struct media* media_new();
struct media* media_from_id( int id );
struct media* media_from_local_uri( const char* uri );
void media_free( struct media* m );
void media_save( struct media* m );

extern struct json_object_field media_layout[];
extern struct json_field_type media_type;

