#pragma once

#include <stdbool.h>

struct owner
{
	bool initialized;
	char* password_salt;
	char* password_hash;
};

struct owner* owner_new();
void owner_save( struct owner* );
void owner_free( struct owner* );

bool owner_check_password( struct owner* o, const char* passwd );
void owner_set_password( struct owner* o, const char* passwd );

