#pragma once

#include <stdio.h>
#include <stdbool.h>

struct account;

struct Relationship
{
	char* id;
	bool following;
	bool showing_reblogs;
	bool notifying;
	bool followed_by;
	bool blocking;
	bool blocked_by;
	bool muting;
	bool muting_notifications;
	bool requested;
	bool domain_blocking;
	bool endorsed;
	char* note;
};

void api_Relationship_init( struct Relationship* r, struct account* a, struct account* rel );
void api_Relationship_write( struct account* a, struct account* rel, FILE* f, int indent );

struct json_field_type;
extern struct json_field_type api_Relationship_to_owner;

