#pragma once

#include <stdbool.h>
#include <stdio.h>

struct http_request;
struct status;
struct account;

void show_status( struct http_request* req, struct status* s );
void show_status_context( struct http_request* req, struct status* s );
void show_statuses( struct http_request* req, struct status** ss, int count );

bool handle_post( struct http_request* req, struct account* a );
bool handle_repost( struct http_request* req, struct status* s );
bool handle_show_bookmarks( struct http_request* req );

bool route_statuses( struct http_request* req );

